.panel.panel-default{"ng-controller" => "RoleCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Roles
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th #
            %th Name
            %th
            %th

        %tbody
          %tr{ "ng-repeat" => "role in data_list"}
            %td {{ $index + 1 }}
            %td{"ng-click" => 'get_role(role.id)' }
              %a{:href=>""} {{ role.name }}
            %td
              %a{ "ng-click" => "edit(role.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(role.id, role.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
      
          %tr#form_role
            %td{:colspan => 4}
              = text_field_tag :name, nil, size: 100, :class => "form-control", "ng-model" => "vm.name"
            
            

  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel             
